/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.RutaReparto;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class RutaRepartoFacade extends AbstractFacade<RutaReparto> implements RutaRepartoFacadeLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public RutaRepartoFacade() {
        super(RutaReparto.class);
    }

    @Override
    public List<RutaReparto> rutaRepartoListas(String Territorios) {
        Query q = em.createNamedQuery("RutaReparto.findByTerritorio");
        q.setParameter("territorio", Territorios);
        return q.getResultList();
    }

    @Override
    public List<RutaReparto> rutaRepartoListasAndTipo(String Territorios, int tipo) {
        Query q = em.createNamedQuery("RutaReparto.findByTerritorioAndTipo");
        q.setParameter("territorio", Territorios);
        q.setParameter("tipo", tipo);
        return q.getResultList();
    }

    @Override
    public RutaReparto busquedaRuta(String corelativoReparto) {
        Query q = em.createNamedQuery("RutaReparto.findByCodigo");
        q.setParameter("codigo", corelativoReparto);
        return (RutaReparto) q.getResultList().get(0);
    }


}
